#
# spec file for package deb (Version 1.10.27)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           deb
## BuildRequires:  gcc-c++ ncurses-devel sgmltool texlive-latex update-alternatives zlib-devel
BuildRequires:  gcc-c++ ncurses-devel sgmltool update-alternatives zlib-devel
URL:            http://www.debian.org
License:        GPL v2 or later
Group:          System/Packages
Prereq:         /bin/touch
Provides:       dpkg dpkg-dev debhelper dselect dpkg-doc
Requires:       perl = %{perl_version}
Requires:       cpio patch make html2text update-alternatives
Autoreqprov:    on
Version:        1.10.27
Release:        101.2
Summary:        Tools for Debian Packages
Source:         dpkg_%{version}.tar.bz2
Source1:        debhelper_4.2.30.tar.bz2
Patch0:         dpkg_1.10.23-doc.patch
Patch1:         dpkg-gcc4.patch
Patch2:         dpkg-strip.patch
Patch3:         dpkg-make.patch
Patch4:         dpkg-automake.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains tools for working with Debian packages. It makes
it possible to create and extract Debian packages. If Alien is
installed, the packages can be converted to RPMs.

This package contains the following Debian packages: dpkg, dselect,
dpkg-doc, dpkg-dev, and debhelper.



Authors:
--------
    Klee Dienes <klee@mit.edu>
    Joey Hess <joeyh@master.debian.org>

%prep
%setup -q -n dpkg-%{version} -b 1
%patch0 -p1
%patch1
%patch2
%patch3
%patch4
# update arch table
sed -n '/linux-gnu/ s/linux-gnu/suse-linux/p' archtable > archtable.tmp
cat archtable.tmp >> archtable
rm archtable.tmp
# modify debian/rules to work on suse
sed -i 's/ -o root -g root//; /id -u/D; /dpkg-architecture -q[^\.]/D; /GENCONTROL/D; /dpkg --build/D;' debian/rules

%build
%{?suse_update_config:%{suse_update_config -f}}
# Build dpkg
make -f debian/rules \
    CFLAGS="$RPM_OPT_FLAGS" \
    arch=%{_arch} \
    DEB_BUILD_GNU_TYPE=%{_arch}-linux \
    DEB_HOST_GNU_TYPE=%{_arch}-linux \
    binary
cd ../debhelper
# This makes debhelper man pages
make -f debian/rules build-stamp

%install
##
# dpkg stuff
##
# Copy files prepared by debian/rules to their wanted location:
for dir in `ls -d debian/tmp/*|grep -v dpkg-static|grep -v install` ; do
    (cd $dir && cp -a [a-z]* $RPM_BUILD_ROOT)
done
# Remove files which we don't want:
find $RPM_BUILD_ROOT%{_mandir} \( \
    -name md5sum.1.gz -o \
    -name start-stop-daemon.8.gz -o \
    -name install-info.8.gz \) \
    -exec rm -f '{}' \;
rm -f $RPM_BUILD_ROOT/usr/sbin/{install-info,start-stop-daemon}
rm -Rf $RPM_BUILD_ROOT/sbin/
rm -f $RPM_BUILD_ROOT/usr/bin/md5sum
# Move documenation to correct place:
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/deb
mv $RPM_BUILD_ROOT/usr/share/doc/dpkg $RPM_BUILD_ROOT%{_docdir}/deb/
cp COPYING $RPM_BUILD_ROOT%{_docdir}/deb
# Remove symlinks to docs
find . -maxdepth 1  -type l -exec rm -f '{}' \;
rm -f $RPM_BUILD_ROOT/usr/share/doc/dpkg-dev
rm -f $RPM_BUILD_ROOT/usr/share/doc/dpkg-doc
rm -f $RPM_BUILD_ROOT/usr/share/doc/dselect
# We dont use this...
rm -Rf $RPM_BUILD_ROOT/usr/share/doc-base
# locales
%{find_lang} dpkg
##
# debhelper stuff
##
cd ../debhelper
# autoscripts
install -d -m 755 $RPM_BUILD_ROOT/usr/share/debhelper/autoscripts
install -m 644 autoscripts/* $RPM_BUILD_ROOT/usr/share/debhelper/autoscripts
# perl modules:
install -d -m 755 $RPM_BUILD_ROOT/%perl_vendorlib/Debian/Debhelper
install -m 644 Debian/Debhelper/* $RPM_BUILD_ROOT/%perl_vendorlib/Debian/Debhelper
# docs:
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/deb/debhelper/examples
install -m 644 examples/* $RPM_BUILD_ROOT%{_docdir}/deb/debhelper/examples
install -m 644 doc/* $RPM_BUILD_ROOT%{_docdir}/deb/debhelper
install -m 644 debian/{changelog,copyright} $RPM_BUILD_ROOT%{_docdir}/deb/debhelper
# man pages:
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/es/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man7
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/es/man7
for i in *.1 ; do
    case $i in
	*.es.1)
	    install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/es/man1
	    ;;
	*.1)
	    install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/man1
	    ;;
    esac
done
for i in *.7 ; do
    case $i in
	*.es.7)
	    install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/es/man7
	    ;;
	*.7)
	    install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/man7
	    ;;
    esac
done
# binaries:
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -m 755 dh_*[^1-9] $RPM_BUILD_ROOT/usr/bin/
# remove update-alternatives stuff, now in own package
rm -fv $RPM_BUILD_ROOT/usr/sbin/update-alternatives
rm -fv $RPM_BUILD_ROOT/usr/share/man/man8/update-alternatives.*
rm -fv $RPM_BUILD_ROOT/usr/share/man/*/man8/update-alternatives.*
rm -rfv $RPM_BUILD_ROOT/etc/alternatives

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /var/lib/dpkg
for f in diversions statoverride status ; do
        if [ ! -f "$f" ] ; then
                touch "$f"
        fi
done

%files -f dpkg.lang
%defattr(-,root,root)
%doc %{_docdir}/deb
%doc %{_mandir}/fr
%doc %{_mandir}/ja
%doc %{_mandir}/sv
%doc %{_mandir}/es
%doc %{_mandir}/pt_BR
%doc %{_mandir}/ru
%doc %{_mandir}/de
%doc %{_mandir}/man*/*
%dir /etc/dpkg
%config(noreplace) /etc/dpkg/*
/usr/bin/*
/usr/lib/dpkg
/usr/sbin/*
/usr/share/dpkg
/var/lib/dpkg
/usr/share/debhelper
%perl_vendorlib/Debian

%changelog
* Thu Jul 26 2007 dmueller@suse.de
- remove config.guess dependency completely
* Tue Jul 24 2007 dmueller@suse.de
- link the config.guess from automake
* Sun Apr 22 2007 ro@suse.de
- use texlive for building
* Fri Mar 30 2007 aj@suse.de
- Adjust BuildRequires.
* Fri Aug 18 2006 aj@suse.de
- Fix build with new make.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Don't strip binaries.
* Wed Dec 21 2005 ro@suse.de
- remove unpackaged symlinks
* Thu Sep  8 2005 mjancar@suse.cz
- package missing dpkg-{architecture,scanpackages,scansources} (#106239)
* Thu May 12 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Fri Apr  8 2005 uli@suse.de
- fixed to build with GCC4
* Thu Feb 10 2005 rengelhard@suse.de
- update dpkg to 1.10.27 (just translation updates)
* Fri Jan 21 2005 ro@suse.de
- update dependency: html2txt -> html2text
* Wed Jan 12 2005 rengelha@suse.de
- update dpkg to 1.10.26
* Wed Jan  5 2005 rengelhard@suse.de
- update debhelper to 4.2.30
* Tue Jan  4 2005 rengelhard@suse.de
- update debhelper to 4.2.29
* Wed Dec 15 2004 rengelhard@suse.de
- update debhelper to 4.2.28
* Mon Dec 13 2004 rengelhard@suse.de
- update debhelper to 4.2.27
* Tue Nov 16 2004 rengelhard@suse.de
- update dpkg to 1.10.25
* Thu Nov 11 2004 rengelhard@suse.de
- update debhelper to 4.2.24
* Fri Oct 29 2004 rengelhard@suse.de
- update debhelper to 4.2.23
* Wed Oct 27 2004 rengelhard@suse.de
- update dpkg to 1.10.24
* Wed Oct 13 2004 rengelhard@suse.de
- update debhelper to 4.2.21
* Wed Sep  8 2004 ro@suse.de
- remove stuff now present in own update-alternatives package
* Thu Aug 19 2004 mcihar@suse.cz
- update debhelper to 4.2.19
- update dpkg to 1.10.23
- use sed rather than patches
- remove patches accepted in upstream
* Mon May 31 2004 mcihar@suse.cz
- update debhelper to 4.2.10
- update dpkg to 1.10.21
* Thu Mar  4 2004 mcihar@suse.cz
- no root for build
- revert to manual debhelper installation as installation using
  debhelper needs dpkg and debhelper installed
* Wed Mar  3 2004 mcihar@suse.cz
- debhelper has debian/control file, so do not install manually
- update debhelper to 4.2.4
- update dpkg to 1.10.18.1
* Wed Jan 28 2004 ro@suse.de
- debhelper has no debian/control file, so install manually
* Tue Jan 27 2004 mcihar@suse.cz
- install debhelper man pages on correct place
* Mon Jan 26 2004 mcihar@suse.cz
- updated debhelper to 4.1.88 and dpkg to 1.10.18
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug  7 2003 mcihar@suse.cz
- updated debhelper to 4.1.57
* Mon Jul 28 2003 schwab@suse.de
- Fix format string.
- Fix undefined use of longjmp.
- Use perl_vendorlib.
* Wed Jun 18 2003 mcihar@suse.cz
- updated debhelper to 4.1.47 (mostly fixes in dh_python)
- included directories for translated man pages
- use find_lang
* Tue May 13 2003 mcihar@suse.cz
- updated debhelper to 4.1.43
- updated dpkg to 1.1.10
* Tue Apr  8 2003 mcihar@suse.cz
- updated debhelper to 4.1.40
- fixed problems with new coreutils
* Thu Mar  6 2003 mcihar@suse.cz
- configuration files under /etc marked as %%config
* Thu Jan 30 2003 mcihar@suse.cz
- updated debhelper to 4.1.29:
  * Added a dh_python command.
  * Various fixes.
* Wed Nov 13 2002 mcihar@suse.cz
- updated dpkg to 1.10.9, major changes:
  * Make the multiline regex have an upper bound, instead of being
    unbounded, as newer perls have a larger stack frame, which cause them
    to segfault quicker with larger inputs.
  * Fix segfault in md5sum if the file being checked doesn't exist.
  * Fix extraction of md5sum in dpkg-scanpackages.
  * Handle directories better in md5sum.
  * Fix several read pass buffer bugs, and a memleak.
  * Fix segfault when --auto-deconfigure is given.
- updated debhelper to 4.1.20, major changes:
  * typo in dh_shlibdeps(1)
  * dh_fixperms: Make sure .pm files are 0644.
  * dh_strip: detect and don't strip debug/*.so files.
  * Various improvements to debhelper(1).
  * Clarified dh_perl man page.
  * Fixed excessive escaping around terms in DH_EXCLUDE_FIND.
  * Patch from Andrew Suffield to make dh_perl understand #!/usr/bin/env perl
- included part of postinst script from debian package
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Wed Aug 28 2002 mcihar@suse.cz
- corrected requires
* Wed Aug  7 2002 mcihar@suse.cz
- updated to debhelper 4.1.3:
  * various bugfixes
  * removed /usr/doc manglement code from postinst and prerm
  * removed dh_installxaw
  * dh_installchangelogs installs debian/NEWS
- updated to dpkg 1.10.4:
  * plenty of bugfixes and new switches
  * added Large File Summit extension
  * added manpages for dpkg.cfg and dselect.cfg
  * updated translations
  * install archtable into /usr/share/dpkg/
- dpkg is now build by debian/rules not by script in spec
- removed md5sum.1 start-stop-daemon.8 install-info.8 manpages also
  for other locales (these programs are not installed)
* Tue Jun 11 2002 mcihar@suse.cz
- updated to debhelper 4.0.11 and dpkg 1.9.21
* Mon Aug 13 2001 ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Jun  8 2001 cihlar@suse.cz
- fixed to compile with new autoconf
* Tue Apr 24 2001 cihlar@suse.cz
- fixed warnings on ia64
* Wed Apr 18 2001 cihlar@suse.cz
- fixed to compile
* Mon Mar  5 2001 cihlar@suse.cz
- dpkg updated to version 1.8.3.1
- debhelper updated to version 3.0.8
* Tue Dec  5 2000 schwab@suse.de
- Fix broken declaration.
* Tue Oct 31 2000 cihlar@suse.cz
- update to version 1.6.14
- bzipped sources
* Tue May 23 2000 cihlar@suse.cz
- added files in /etc and /var to %%files
* Mon May 22 2000 cihlar@suse.cz
- removed install-info and start-stop-daemon
* Mon May 15 2000 schwab@suse.de
- Fixed for ia64.
* Wed May  3 2000 cihlar@suse.cz
- package created - version 1.4.0.35 (debhelper 1.1.24)
